Skip to main content
v1

Delete a desktop recording.

DELETE /v1/desktop/recordings/{id}: request parameters and responses.

DELETE /v1/desktop/recordings/{id}

Removes a completed desktop recording and its file from disk.

Parameters

NameInRequiredTypeDescription
idpathYesstringDesktop recording ID

Parameter schemas

[
  {
    "name": "id",
    "in": "path",
    "description": "Desktop recording ID",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Responses

204

Desktop recording deleted

404

Unknown desktop recording

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop recording is still active

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.